/**
 * @author kevin.kang. Created on 2019-10-24..
 */
object Versions {
    const val gradle = "3.5.1"
    const val kotlin = "1.3.50"
    const val retrofit = "2.6.2"

    const val okhttp = "4.2.2"

    const val gson = "2.8.6"
}

object SdkVersions {
    const val versionCode = 1000
    const val version = "2.0.0-beta01-SNAPSHOT"

    const val minSdkVersion = 19
    const val compileSdkVersion = 29
    const val buildToolsVersion = "29.0.2"
    const val targetSdkVersion = 29
}

object Dependencies {
    const val appCompat = "androidx.appcompat:appcompat:1.1.0"
    const val annotation = "androidx.annotation:annotation:1.1.0"
    const val constraintLayout = "androidx.constraintlayout:constraintlayout:1.1.3"
    const val material = "com.google.android.material:material:1.0.0"
    const val viewPager = "androidx.viewpager:viewpager:1.0.0"

    const val browser = "androidx.browser:browser:1.0.0"

    const val gson = "com.google.code.gson:gson:${Versions.gson}"

    const val rxJava = "io.reactivex.rxjava2:rxjava:2.2.13"
    const val rxAndroid = "io.reactivex.rxjava2:rxandroid:2.1.1"
    const val rxKotlin = "io.reactivex.rxjava2:rxkotlin:2.4.0"

    const val okhttp = "com.squareup.okhttp3:okhttp:${Versions.okhttp}"
    const val retrofit = "com.squareup.retrofit2:retrofit:${Versions.retrofit}"
    const val retrofitRx = "com.squareup.retrofit2:adapter-rxjava2:${Versions.retrofit}"
    const val retrofitGson = "com.squareup.retrofit2:converter-gson:${Versions.retrofit}"

    const val mockwebserver = "com.squareup.okhttp3:mockwebserver:${Versions.okhttp}"
    const val loggingInterceptor = "com.squareup.okhttp3:logging-interceptor:${Versions.okhttp}"

    const val mockitoCore = "org.mockito:mockito-core:3.1.0"
    const val mockitoInline = "org.mockito:mockito-inline:3.1.0"
    const val mockitoAndroid = "org.mockito:mockito-android:3.1.0"
}