package com.kakao.sdk.common

import android.content.Context
import com.kakao.sdk.common.model.ApplicationContextInfo

/**
 * @author kevin.kang. Created on 2018. 3. 30..
 */
object KakaoSdk {
    lateinit var applicationContextInfo: ApplicationContextInfo
    var serverHosts = ServerHosts()
    var loggingEnabled: Boolean = false

    @JvmStatic
    @JvmOverloads
    fun init(context: Context, appKey: String, loggingEnabled: Boolean = false) {
        applicationContextInfo = ApplicationContextInfo(context = context, appKey = appKey)
        this.loggingEnabled = loggingEnabled
    }
}